import { AdminCategoryService } from "./category.service";
import { CreateCategoryDto, UpdateCategoryDto, UpdateStatusDto } from "./category.dto";
export declare class AdminCategoryController {
    private readonly categoryService;
    constructor(categoryService: AdminCategoryService);
    create(createCategoryDto: CreateCategoryDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/category/category.entity").Category[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/category/category.entity").Category;
    }>;
    update(id: string, updateCategoryDto: UpdateCategoryDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
